Bug 1886366 (CVE-2020-25652) - CVE-2020-25652 spice-vdagent: possibility to exhaust file descriptors in vdagentd
Summary: CVE-2020-25652 spice-vdagent: possibility to exhaust file descriptors in vdag...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-25652
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1886486 1894435
Blocks: 1882815
TreeView+ depends on / blocked
 
Reported: 2020-10-08 09:46 UTC by Mauro Matteo Cascella
Modified: 2021-05-18 15:05 UTC (History)
7 users (show)

Fixed In Version: spice-vdagent 0.21.0
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the spice-vdagentd daemon, where it did not properly handle client connections that can be established via the UNIX domain socket in `/run/spice-vdagentd/spice-vdagent-sock`. This flaw allows any unprivileged local guest user to prevent legitimate agents from connecting to the spice-vdagentd daemon, resulting in a denial of service. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-05-18 14:35:43 UTC


Attachments (Terms of Use)

Description Mauro Matteo Cascella 2020-10-08 09:46:56 UTC
The following flaw was reported by SUSE Security:

`spice-vdagentd` does not apply a limit to the amount of client connections that can be established via the UNIX domain socket in `/run/spice-vdagentd/spice-vdagent-sock`. Also existing connections aren't subject to a timeout or any kind of preconditions for them to stay alive. Any local user in the VM can prevent legitimate `spice-vdagent` instances from connecting to the `spice-vdagentd` daemon. `spice-vdagentd` will become unable to open further connections for legitimate clients or perform other tasks.

Comment 4 Mauro Matteo Cascella 2020-10-14 09:38:59 UTC
Acknowledgments:

Name: Matthias Gerstner (SUSE Security Team)

Comment 5 Mauro Matteo Cascella 2020-11-04 09:35:09 UTC
External References:

https://www.openwall.com/lists/oss-security/2020/11/04/1

Comment 6 Mauro Matteo Cascella 2020-11-04 09:35:40 UTC
Created spice-vdagent tracking bugs for this issue:

Affects: fedora-all [bug 1894435]

Comment 11 Product Security DevOps Team 2021-05-18 14:35:43 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-25652

Comment 12 errata-xmlrpc 2021-05-18 15:05:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:1791 https://access.redhat.com/errata/RHSA-2021:1791


Note You need to log in before you can comment on or make changes to this bug.